Skip to main content
PATCH
Manage Project Sharing

Authorizations

Authorization
string
header
required

Team API key created in Team Settings. Use it with URLs for the same team.

Path Parameters

project
string<uuid>
required

Project UUID.

Body

application/json

Any combination of fields may be sent.

enabled
boolean

Turn the public share link on or off.

password
string | null

Set a password to view the shared project, or null to remove it.

Minimum string length: 4
refresh_token
boolean

When true, rotates the share token, invalidating any previously shared link.

Response

The project's current share settings.

enabled
boolean
required
share_url
string | null
required

The public share URL (includes the token). Null when sharing is disabled.

password_protected
boolean
required

Whether a password is required to view the shared project.